Download it now!
Bug 129136 - crash in basic function CurDir
Summary: crash in basic function CurDir
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-01 18:25 UTC by raal
Modified: 2019-12-06 13:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SbRtl_CurDir(StarBASIC *,SbxArray &,bool)"]


Attachments
test file (10.47 KB, application/vnd.oasis.opendocument.text)
2019-12-01 18:33 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2019-12-01 18:25:47 UTC
Description:
Crash only on windows when run function CurDir("X") where X is nonexistent disk 

Steps to Reproduce:
1.open attached file
2.run macro


Actual Results:
crash

Expected Results:
no crash, but error message


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2019-12-01 18:27:49 UTC
This seems to have begun at the below commit.
Adding Cc: to Stephan Bergmann; Could you possibly take a look at this one? Thanks

13567e29b667a3ec5576c3ae367748d8b77e8c3b is the first bad commit
commit 13567e29b667a3ec5576c3ae367748d8b77e8c3b
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Jun 17 19:49:51 2016 -0700

    source sha:e30f3bcd25762236eb739584dc71691123527c9f

author	Stephan Bergmann <sbergman@redhat.com>	2016-06-17 10:56:24 +0200
committer	Stephan Bergmann <sbergman@redhat.com>	2016-06-17 12:37:19 +0000
commit	e30f3bcd25762236eb739584dc71691123527c9f (patch)
tree	1e95c62efefcc13d822734f9699fd5e041f19cfc
parent	98e3e2414b4cf80343af3499414f6a5ef86d7ae8 (diff)
Revert "fdo#38913: Prevent invalid parameter handler crashes"
Comment 2 raal 2019-12-01 18:33:59 UTC
Created attachment 156225 [details]
test file
Comment 3 Stephan Bergmann 2019-12-02 08:31:26 UTC
(In reply to raal from comment #1)
> 13567e29b667a3ec5576c3ae367748d8b77e8c3b is the first bad commit
> commit 13567e29b667a3ec5576c3ae367748d8b77e8c3b
> Author: Norbert Thiebaud <nthiebaud@gmail.com>
> Date:   Fri Jun 17 19:49:51 2016 -0700
> 
>     source sha:e30f3bcd25762236eb739584dc71691123527c9f

(when reporting a bibisect finding, please always specify the used git repo)
Comment 4 Xisco Faulí 2019-12-02 09:42:06 UTC
Reproduced in

Versión: 6.3.3.2 (x86)
Id. de compilación: a64200df03143b798afd1ec74a12ab50359878ed
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded
Comment 5 raal 2019-12-03 21:59:51 UTC
(In reply to Stephan Bergmann from comment #3)
> 
> (when reporting a bibisect finding, please always specify the used git repo)

bibisect-win32-5.3
Comment 6 Commit Notification 2019-12-06 09:18:02 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9235990b4eacbc8a90750da8bdf2fb15f99a9d79

tdf#129136 Call _wgetdcwd with "harmless" invalid parameter handler

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-12-06 13:12:56 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/cd83f520c4412d86c1bd63f12d56fb0d1158d04e

tdf#129136 Call _wgetdcwd with "harmless" invalid parameter handler

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.